#include utility.js

const MszEEPROM = (() => {
    let eepromScript;

    return {
        init: () => {
            return new Promise((resolve, reject) => {
                if(eepromScript !== undefined) {
                    resolve(false);
                    return;
                }

                if(typeof peepPath !== 'string') {
                    reject();
                    return;
                }

                const scriptElem = $e({
                    tag: 'script',
                    attrs: {
                        src: `${peepPath}/scripts/eepromv1a.js`,
                        charset: 'utf-8',
                        type: 'text/javascript',
                        onerror: () => reject(),
                        onload: () => {
                            eepromScript = scriptElem;
                            resolve(true);
                        },
                    },
                });

                document.body.appendChild(scriptElem);
            });
        },
    };
})();
